2006-07-03  LiDIA-Administrator  <lidiaadm@cdc.informatik.tu-darmstadt.de>

	* dense_bigint_matrix_modules.cc:
	 - FIX: column_oriented_dense_matrix_modules<T>::sorting_gcd_plus_minimal_norm defined
	        argument "pos", but referred in the body to the (undefined)
	        variable "index".
	        <URL:http://www.cdc.informatik.tu-darmstadt.de/pipermail/lidia/2006-July/001092.html>

2006-06-30  LiDIA-Administrator  <lidiaadm@cdc.informatik.tu-darmstadt.de>

	* src/base/include/LiDIA/base/sf_bigint.h:
	 - FIX: Don't provide default arguments in friend declarations if they are
	        also specified somewhere else.

	* src/base/include/LiDIA/base/sf_bigint.h:
	 - FIX: friend declarations don't inject the names in the surrounding namespace

	* src/base/include/LiDIA/base/sf_bigint.h, src/base/include/LiDIA/specialization/single_factor.special:
	 - CHG: Cleanup preprocessor guards

	* src/gec/include/LiDIA/prime_proof.h:
	 - FIX: spurious qualification prime_proof:: inside definition of prime_proof

	* src/base/include/LiDIA/matrix/sparse_ring_matrix_kernel.cc:
	 - FIX: lookup of dependent name of base member function in
	        XXX_matrix<T>::assign(MR<T>&, MR<T> const&) required qualification.

	* src/base/include/LiDIA/base_matrix.h, src/base/include/LiDIA/ring_matrix.h, src/base/include/LiDIA/field_matrix.h, src/base/include/LiDIA/dense_field_matrix.h, src/base/include/LiDIA/dense_ring_matrix.h, src/base/include/LiDIA/sparse_base_matrix.h, src/base/include/LiDIA/sparse_field_matrix.h, src/base/include/LiDIA/sparse_ring_matrix.h:
	 - FIX: lookup of dependent name of base member function in
	        XXX_matrix<T>::operator=(XXX_matrix<T> const&) required qualification.

	* src/base/include/LiDIA/ring_matrix.h:
	 - FIX: lookup of dependent name of base member function in
	        ring_matrix<T>::operator=(ring_matrix<T> const&) required qualification.

	* .cvsignore, DEVELOP/.cvsignore, doc/.cvsignore,
	 library/base/.cvsignore, library/ec_order/.cvsignore,
	 library/elliptic_curves/.cvsignore,
	 library/finite_fields/.cvsignore, library/gec/.cvsignore,
	 library/lattices/.cvsignore, library/linear_algebra/.cvsignore,
	 examples/elliptic_curves/.cvsignore,
	 examples/finite_fields/.cvsignore, examples/gec/.cvsignore,
	 examples/lattices/.cvsignore, examples/linear_algebra/.cvsignore,
	 examples/number_fields/.cvsignore, library/.cvsignore,
	 doc/FIG/.cvsignore, doc/PS/.cvsignore, doc/unused/.cvsignore,
	 examples/.cvsignore, examples/base/.cvsignore,
	 examples/ec_order/.cvsignore, library/number_fields/.cvsignore,
	 obj/.cvsignore,
	 share/.cvsignore, share/LiDIA/.cvsignore,
	 share/LiDIA/Discriminants/.cvsignore,
	 share/LiDIA/MOD_EQ/.cvsignore, share/LiDIA/MOD_EQ_2/.cvsignore,
	 src/.cvsignore, src/base/.cvsignore,
	 src/base/factorization/.cvsignore,
	 src/base/factorization/bigint/.cvsignore,
	 src/base/hash_table/.cvsignore, src/base/include/.cvsignore,
	 src/base/include/LiDIA/.cvsignore,
	 src/base/include/LiDIA/base/.cvsignore,
	 src/base/include/LiDIA/instantiate/.cvsignore,
	 src/base/include/LiDIA/matrix/.cvsignore,
	 src/base/include/LiDIA/specialization/.cvsignore,
	 src/base/instantiate/.cvsignore, src/base/matrix/.cvsignore,
	 src/base/misc/.cvsignore, src/base/pair/.cvsignore,
	 src/base/polynomial/.cvsignore,
	 src/base/simple_classes/.cvsignore,
	 src/base/simple_classes/bigcomplex/.cvsignore,
	 src/base/simple_classes/bigfloat/.cvsignore,
	 src/base/simple_classes/bigfloat_int/.cvsignore,
	 src/base/simple_classes/bigint/.cvsignore,
	 src/base/simple_classes/bigmod/.cvsignore,
	 src/base/simple_classes/bigrational/.cvsignore,
	 src/base/simple_classes/chinese_rem/.cvsignore,
	 src/base/simple_classes/factorization/.cvsignore,
	 src/base/simple_classes/lanczos/.cvsignore,
	 src/base/simple_classes/nmbrthry_functions/.cvsignore,
	 src/base/simple_classes/prime_list/.cvsignore,
	 src/base/simple_classes/single_precision/.cvsignore,
	 src/base/simple_classes/udigit_mod/.cvsignore,
	 src/base/simple_classes/xbigfloat/.cvsignore,
	 src/base/simple_classes/xdouble/.cvsignore,
	 src/base/system/.cvsignore, src/base/vector/.cvsignore,
	 src/ec_order/.cvsignore, src/ec_order/eco_gf2n/.cvsignore,
	 src/ec_order/eco_gf2n/eco_gf2n/.cvsignore,
	 src/ec_order/eco_gf2n/elkies/.cvsignore,
	 src/ec_order/eco_gf2n/instant/.cvsignore,
	 src/ec_order/eco_gf2n/lercier/.cvsignore,
	 src/ec_order/eco_gf2n/mv_pol/.cvsignore,
	 src/ec_order/eco_gf2n/weco2_rat_function/.cvsignore,
	 src/ec_order/eco_gfp/.cvsignore,
	 src/ec_order/eco_gfp/eco_gfp/.cvsignore,
	 src/ec_order/eco_gfp/eco_gfp/testsuite/.cvsignore,
	 src/ec_order/eco_gfp/elkies/.cvsignore,
	 src/ec_order/eco_gfp/ffx/.cvsignore,
	 src/ec_order/eco_gfp/wep_rat_function/.cvsignore,
	 src/ec_order/include/.cvsignore,
	 src/ec_order/include/LiDIA/.cvsignore,
	 src/ec_order/include/LiDIA/ec_order/.cvsignore,
	 src/ec_order/include/LiDIA/instantiate/.cvsignore,
	 src/ec_order/instantiate/.cvsignore,
	 src/elliptic_curves/.cvsignore,
	 src/elliptic_curves/ec_finite_fields/.cvsignore,
	 src/elliptic_curves/ec_rationals/.cvsignore,
	 src/elliptic_curves/ec_rationals/appl_data/.cvsignore,
	 src/elliptic_curves/include/.cvsignore,
	 src/elliptic_curves/include/LiDIA/.cvsignore,
	 src/elliptic_curves/include/LiDIA/elliptic_curves/.cvsignore,
	 src/elliptic_curves/include/LiDIA/instantiate/.cvsignore,
	 src/elliptic_curves/instantiate/.cvsignore,
	 src/finite_fields/.cvsignore,
	 src/finite_fields/Fp_polynomial/.cvsignore,
	 src/finite_fields/Fp_rational_function/.cvsignore,
	 src/finite_fields/discrete_log/.cvsignore,
	 src/finite_fields/discrete_log/nfs/.cvsignore,
	 src/finite_fields/discrete_log/pohlig_hellman/.cvsignore,
	 src/finite_fields/factorization/.cvsignore,
	 src/finite_fields/factorization/Fp_polynomial/.cvsignore,
	 src/finite_fields/factorization/gf_polynomial/.cvsignore,
	 src/finite_fields/fft_prime/.cvsignore,
	 src/finite_fields/gf2n/.cvsignore,
	 src/finite_fields/gf2n_polynomial/.cvsignore,
	 src/finite_fields/gf2n_rational_function/.cvsignore,
	 src/finite_fields/gf_polynomial/.cvsignore,
	 src/finite_fields/gfpn/.cvsignore,
	 src/finite_fields/fft_prime/.cvsignore, 
	 src/finite_fields/gf2n/.cvsignore,
	 src/finite_fields/gf2n_polynomial/.cvsignore,
	 src/finite_fields/gf2n_rational_function/.cvsignore,
	 src/finite_fields/gf_polynomial/.cvsignore,
	 src/finite_fields/gfpn/.cvsignore,
	 src/finite_fields/include/.cvsignore,
	 src/finite_fields/include/LiDIA/.cvsignore,
	 src/finite_fields/include/LiDIA/finite_fields/.cvsignore,
	 src/finite_fields/include/LiDIA/instantiate/.cvsignore,
	 src/finite_fields/include/LiDIA/specialization/.cvsignore,
	 src/finite_fields/instantiate/.cvsignore,
	 src/finite_fields/powser/.cvsignore, src/gec/.cvsignore,
	 src/gec/gec_complex_multiplication/.cvsignore,
	 src/gec/gec_complex_multiplication/gec_E_and_twist_prime/.cvsignore, 
	 src/gec/gec_point_counting_mod_2n/.cvsignore, src/gec/gec_point_counting_mod_p/.cvsignore,
	 src/gec/include/.cvsignore, src/gec/include/LiDIA/.cvsignore,
	 src/gec/prime_proof/.cvsignore, src/interfaces/.cvsignore,
	 src/interfaces/bigint/.cvsignore,
	 src/interfaces/bigint/cln/.cvsignore,
	 src/interfaces/bigint/gmp/.cvsignore,
	 src/interfaces/bigint/libI/.cvsignore,
	 src/interfaces/bigint/piologie/.cvsignore,
	 src/interfaces/memory/.cvsignore,
	 src/interfaces/memory/boehm/.cvsignore,
	 src/interfaces/memory/default/.cvsignore,
	 src/interfaces/memory/dentzer/.cvsignore,
	 src/interfaces/memory/malloc/.cvsignore,
	 src/interfaces/udigit/.cvsignore,
	 src/interfaces/udigit/cln/.cvsignore,
	 src/interfaces/udigit/gmp/.cvsignore,
	 src/interfaces/udigit/libI/.cvsignore,
	 src/interfaces/udigit/piologie/.cvsignore,
	 src/lattices/.cvsignore src/lattices/Lattices/.cvsignore,
	 src/lattices/include/.cvsignore,
	 src/lattices/include/LiDIA/.cvsignore,
	 src/lattices/include/LiDIA/instantiate/.cvsignore,
	 src/lattices/include/LiDIA/lattices/.cvsignore,
	 src/lattices/instantiate/.cvsignore,
	 src/linear_algebra/.cvsignore,
	 src/linear_algebra/include/.cvsignore,
	 src/linear_algebra/include/LiDIA/.cvsignore,
	 src/linear_algebra/include/LiDIA/matrix/.cvsignore,
	 src/linear_algebra/instantiate/.cvsignore,
	 src/number_fields/.cvsignore,
	 src/number_fields/algebraic_num/.cvsignore,
	 src/number_fields/algebraic_num/factorization/.cvsignore,
	 src/number_fields/include/.cvsignore,
	 src/number_fields/include/LiDIA/.cvsignore,
	 src/number_fields/include/LiDIA/instantiate/.cvsignore,
	 src/number_fields/include/LiDIA/number_fields/.cvsignore,
	 src/number_fields/include/LiDIA/specialization/.cvsignore,
	 src/number_fields/instantiate/.cvsignore,
	 src/number_fields/quadratic_order/.cvsignore,
	 src/number_fields/quadratic_order/matrix/.cvsignore,
	 src/number_fields/quadratic_order/power_product/.cvsignore,
	 src/portability/.cvsignore:
	 - CHG: Make CVS ignore semantic.cache (generated by emacs' cedet package)

	* src/number_fields/quadratic_order/power_product/.cvsignore,
	src/portability/.cvsignore,
	src/number_fields/include/LiDIA/number_fields/.cvsignore,
	src/number_fields/include/LiDIA/specialization/.cvsignore,
	src/number_fields/instantiate/.cvsignore,
	src/number_fields/quadratic_order/.cvsignore,
	src/number_fields/quadratic_order/matrix/.cvsignore,
	src/number_fields/algebraic_num/.cvsignore,
	src/number_fields/algebraic_num/factorization/.cvsignore,
	src/number_fields/include/.cvsignore,
	src/number_fields/include/LiDIA/.cvsignore,
	src/number_fields/include/LiDIA/instantiate/.cvsignore,
	src/linear_algebra/.cvsignore,
	src/linear_algebra/include/.cvsignore,
	src/linear_algebra/include/LiDIA/.cvsignore,
	src/linear_algebra/include/LiDIA/matrix/.cvsignore,
	src/linear_algebra/instantiate/.cvsignore,
	src/number_fields/.cvsignore, src/lattices/include/.cvsignore,
	src/lattices/include/LiDIA/.cvsignore,
	src/lattices/include/LiDIA/instantiate/.cvsignore,
	src/lattices/include/LiDIA/lattices/.cvsignore,
	src/lattices/instantiate/.cvsignore,
	src/interfaces/udigit/cln/.cvsignore,
	src/interfaces/udigit/gmp/.cvsignore,
	src/interfaces/udigit/libI/.cvsignore,
	src/interfaces/udigit/piologie/.cvsignore,
	src/lattices/.cvsignore, src/lattices/Lattices/.cvsignore,
	src/interfaces/memory/boehm/.cvsignore,
	src/interfaces/memory/default/.cvsignore,
	src/interfaces/memory/dentzer/.cvsignore,
	src/interfaces/memory/malloc/.cvsignore,
	src/interfaces/udigit/.cvsignore,
	src/interfaces/bigint/.cvsignore,
	src/interfaces/bigint/cln/.cvsignore,
	src/interfaces/bigint/gmp/.cvsignore,
	src/interfaces/bigint/libI/.cvsignore,
	src/interfaces/bigint/piologie/.cvsignore,
	src/interfaces/memory/.cvsignore,
	src/gec/gec_point_counting_mod_p/.cvsignore,
	src/gec/include/.cvsignore, src/gec/include/LiDIA/.cvsignore,
	src/gec/prime_proof/.cvsignore, src/interfaces/.cvsignore,
	src/finite_fields/instantiate/.cvsignore,
	src/finite_fields/powser/.cvsignore, src/gec/.cvsignore,
	src/gec/gec_complex_multiplication/.cvsignore,
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/.cvsignore,
	src/gec/gec_point_counting_mod_2n/.cvsignore,
	src/finite_fields/include/.cvsignore,
	src/finite_fields/include/LiDIA/.cvsignore,
	src/finite_fields/include/LiDIA/finite_fields/.cvsignore,
	src/finite_fields/include/LiDIA/instantiate/.cvsignore,
	src/finite_fields/include/LiDIA/specialization/.cvsignore,
	src/finite_fields/fft_prime/.cvsignore,
	src/finite_fields/gf2n/.cvsignore,
	src/finite_fields/gf2n_polynomial/.cvsignore,
	src/finite_fields/gf2n_rational_function/.cvsignore,
	src/finite_fields/gf_polynomial/.cvsignore,
	src/finite_fields/gfpn/.cvsignore,
	src/finite_fields/discrete_log/nfs/.cvsignore,
	src/finite_fields/discrete_log/pohlig_hellman/.cvsignore,
	src/finite_fields/factorization/.cvsignore,
	src/finite_fields/factorization/Fp_polynomial/.cvsignore,
	src/finite_fields/factorization/gf_polynomial/.cvsignore,
	src/elliptic_curves/include/LiDIA/instantiate/.cvsignore,
	src/elliptic_curves/instantiate/.cvsignore,
	src/finite_fields/.cvsignore,
	src/finite_fields/Fp_polynomial/.cvsignore,
	src/finite_fields/Fp_rational_function/.cvsignore,
	src/finite_fields/discrete_log/.cvsignore,
	src/elliptic_curves/ec_rationals/.cvsignore,
	src/elliptic_curves/ec_rationals/appl_data/.cvsignore,
	src/elliptic_curves/include/.cvsignore,
	src/elliptic_curves/include/LiDIA/.cvsignore,
	src/elliptic_curves/include/LiDIA/elliptic_curves/.cvsignore,
	src/ec_order/include/LiDIA/ec_order/.cvsignore,
	src/ec_order/include/LiDIA/instantiate/.cvsignore,
	src/ec_order/instantiate/.cvsignore,
	src/elliptic_curves/.cvsignore,
	src/elliptic_curves/ec_finite_fields/.cvsignore,
	src/ec_order/eco_gfp/elkies/.cvsignore,
	src/ec_order/eco_gfp/ffx/.cvsignore,
	src/ec_order/eco_gfp/wep_rat_function/.cvsignore,
	src/ec_order/include/.cvsignore,
	src/ec_order/include/LiDIA/.cvsignore,
	src/ec_order/eco_gf2n/mv_pol/.cvsignore,
	src/ec_order/eco_gf2n/weco2_rat_function/.cvsignore,
	src/ec_order/eco_gfp/.cvsignore,
	src/ec_order/eco_gfp/eco_gfp/.cvsignore,
	src/ec_order/eco_gfp/eco_gfp/testsuite/.cvsignore,
	src/ec_order/eco_gf2n/.cvsignore,
	src/ec_order/eco_gf2n/eco_gf2n/.cvsignore,
	src/ec_order/eco_gf2n/elkies/.cvsignore,
	src/ec_order/eco_gf2n/instant/.cvsignore,
	src/ec_order/eco_gf2n/lercier/.cvsignore,
	src/base/simple_classes/udigit_mod/.cvsignore,
	src/base/simple_classes/xbigfloat/.cvsignore,
	src/base/simple_classes/xdouble/.cvsignore,
	src/base/system/.cvsignore, src/base/vector/.cvsignore,
	src/ec_order/.cvsignore,
	src/base/simple_classes/factorization/.cvsignore,
	src/base/simple_classes/lanczos/.cvsignore,
	src/base/simple_classes/nmbrthry_functions/.cvsignore,
	src/base/simple_classes/prime_list/.cvsignore,
	src/base/simple_classes/single_precision/.cvsignore,
	src/base/simple_classes/bigfloat_int/.cvsignore,
	src/base/simple_classes/bigint/.cvsignore,
	src/base/simple_classes/bigmod/.cvsignore,
	src/base/simple_classes/bigrational/.cvsignore,
	src/base/simple_classes/chinese_rem/.cvsignore,
	src/base/pair/.cvsignore, src/base/polynomial/.cvsignore,
	src/base/simple_classes/.cvsignore,
	src/base/simple_classes/bigcomplex/.cvsignore,
	src/base/simple_classes/bigfloat/.cvsignore,
	src/base/include/LiDIA/instantiate/.cvsignore,
	src/base/include/LiDIA/matrix/.cvsignore,
	src/base/include/LiDIA/specialization/.cvsignore,
	src/base/instantiate/.cvsignore, src/base/matrix/.cvsignore,
	src/base/misc/.cvsignore,
	src/base/factorization/bigint/.cvsignore,
	src/base/hash_table/.cvsignore, src/base/include/.cvsignore,
	src/base/include/LiDIA/.cvsignore,
	src/base/include/LiDIA/base/.cvsignore,
	share/LiDIA/Discriminants/.cvsignore,
	share/LiDIA/MOD_EQ/.cvsignore, share/LiDIA/MOD_EQ_2/.cvsignore,
	src/.cvsignore, src/base/factorization/.cvsignore, obj/.cvsignore,
	share/.cvsignore, share/LiDIA/.cvsignore, doc/FIG/.cvsignore,
	doc/PS/.cvsignore, doc/unused/.cvsignore, DEVELOP/.cvsignore:
	New file.

	* src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_modules.cc:
	- FIX: column_oriented_dense_matrix_modules<T>::pivot_sorting_gcd defined
	       argument "pos", but referred in the body to the (undefined)
	       variable "index".
	       <URL:http://www.cdc.informatik.tu-darmstadt.de/pipermail/lidia/2006-June/001085.html>

2006-03-12  LiDIA-Administrator  <lidiaadm@cdc.informatik.tu-darmstadt.de>

	* ChangeLog, src/lattices/include/LiDIA/lattices/lattice_modules.cc, src/lattices/instantiate/lattice_modules_instant.cc:
	* src/lattices/include/LiDIA/lattices/lattice_modules.cc,
	* src/lattices/instantiate/lattice_modules_instant.cc:
	  - FIX: apply #pragma interface / implementation hack only for
		 g++ 2.x

2006-03-12  LiDIA-Administrator  <lidiaadm@cdc.informatik.tu-darmstadt.de>

	* src/lattices/include/LiDIA/lattices/lattice_modules.cc,
	* src/lattices/instantiate/lattice_modules_instant.cc:
	  - FIX: apply #pragma interface / implementation hack only for
	         g++ 2.x

2006-03-10  LiDIA-Administrator  <lidiaadm@cdc.informatik.tu-darmstadt.de>

	* src/finite_fields/gfpn/galois_field_rep.cc,
	  src/finite_fields/include/LiDIA/finite_fields/galois_field_rep.h:

          - FIX: avoid uninitialized members in galois_field_rep	  

	* NEWS: add release information

2006-03-02 11:39  lidiaadm

	* src/base/simple_classes/factorization/rational_factorization.cc
	(LiDIA2-1):

	 - FIX: When you set the exponent of the last base to 0, the now
	 	useless factor is not stripped of the factorization
	 	contrary to what happens for all other bases.
  	        <url:http://www.cdc.informatik.tu-darmstadt.de/pipermail/lidia/2006-March/001067.html>

2006-02-25 21:59  lidiaadm

	* doc/: LiDIA.tex, color.cfg, graphics.cfg (LiDIA2-1):

	 - FIX: Avoid fragile test of \pdfoutput in {color,graphics}.cfg
	 - CHG: Use typearea rather than geometry since the latter uses a
	        broken test for pdflatex that causes DVI generation to
  	        fail (with SuSE 10.0's teTeX 3.0, at least).

2006-02-25 20:14  lidiaadm

	* checkout.postprocess, configure.ac (LiDIA2-1):

	 - FIX: Update build files for use with
	        autoconf 2.59 / automake 1.9.6.

2006-02-25 20:12  lidiaadm

	* src/base/: factorization/bigint/sf_mpqs.cc,
	simple_classes/factorization/mpqs.cc (LiDIA2-1):

	 - FIX: Don't assume the compiler will inline small functions from
	        an anonymous unless they are declared "inline". (g++ does
	        that only with -O3.)

2005-12-02 19:48  cludwig

	* acinclude.m4 (LiDIA2-1):

	quote all AC_DEFUNs

2005-10-31 16:20  lidiaadm

	* library/base/Makefile.am,
	src/base/factorization/bigint/sf_mpqs.cc,
	src/base/include/LiDIA/lanczos.h,
	src/base/include/LiDIA/mpqs_timing.h,
	src/base/include/LiDIA/base/ecm_primes.h,
	src/base/include/LiDIA/base/sf_bigint.h,
	src/base/simple_classes/factorization/file_f.cc,
	src/base/simple_classes/factorization/mpqs.cc,
	src/base/simple_classes/lanczos/lanczos.cc,
	src/base/simple_classes/lanczos/lanczos_small_matrix.cc,
	src/base/simple_classes/lanczos/lanczos_spmatrix.cc,
	src/base/simple_classes/lanczos/lanczos_spvector.cc,
	src/base/simple_classes/lanczos/lanczos_vblock.cc,
	src/base/simple_classes/lanczos/process.cc,
	src/portability/bytes_to_int_flag_generator.cc (LiDIA2-1):

	 - CHG: Applies bugfixes and cleanup patches by Randy Austin (aka
	        DK) and Max, to MPQS and Lanczos code, cf. mailinglists
	        from Oct 21, 2005, andbefore.

	 - CHG: Resolved a portability issue in MPQS' qs_sieve_interval.
		The generic version is (with gcc 3.3.1) about 20% slower
	        than the explicit version for 32 bit integers, so we have
		to keep it for the time being.
		We now generate a header file when make is invoked that
        	contains architecture specific constants. The
		corresponding program is in
		src/portability/bytes_to_int_flag.cc, the build logic is in
		library/base/Makefile.am.

	 - CHG: Got rid of all new / deletes in sf_mpqs.cc, replaced by
	        std::vector and std::auto_ptr. Necessary changes to the
	        lanczos pre-/postprocess interfaces.

	 - CHG: Cleared out the (private) single_factor<bigint> interface,
	        made members free function in anonymous namespace in
	        sf_mpqs.cc.

2005-10-13 18:24  lidiaadm

	* src/linear_algebra/bigint_matrix.cc,
	src/linear_algebra/include/LiDIA/bigint_matrix.h,
	src/linear_algebra/include/LiDIA/dense_bigint_matrix.h,
	src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_kernel.cc,
	doc/LiDIA.bib, doc/bigint_matrix.tex (LiDIA2-1):

	 - FIX: Bug in bigint_matrix::hnfmod_mueller() reported by Huanyuan
	        Sheng on 2005-01-19. This particular bugfix was proposed
	        by Patrick Theobald.
	 - FIX: Remove a couple of HNF algorithm declarations that were
 	        never defined.
	 - FIX: List in the manual exactly those HNF algorithms that are
	        actually implemented. Confer the readers to Patrick's
	        dissertation. 
	
2005-06-25 11:14  lidiaadm

	* src/base/simple_classes/lanczos/lanczos.cc (LiDIA2-1):

	 - CHG: call lidia_error_handler where the problem is detected and
	        provide a more descriptive error message.

2005-05-08 13:51  lidiaadm

	* src/base/include/LiDIA/param_desc.h (LiDIA2-1):

	 -CHG: fully qualify friend class declaration for gcc 4.0

2005-03-30 18:01  lidiaadm

	* src/elliptic_curves/ec_finite_fields/elliptic_curve_gf_element.cc
	(LiDIA2-1):

	 - FIX: generator of 2nd component was sometimes wrong because, in
	        general, x(Q + Q_old) != lcm(x, x_old)
		[where x(Q) = ord(Q + <P>)].
		(Reported by John Cremona on 2005-02-02 via private mail.)

2005-03-29 16:06  lidiaadm

	* src/base/simple_classes/bigrational/bigrational_appl.cc
	(LiDIA2-1):

	 - FIX: Call the division test

2005-03-29 15:50  lidiaadm

	* src/base/simple_classes/bigrational/bigrational_appl.cc
	(LiDIA2-1):

	 - ADD: test for division of bigrationals

2005-03-29 15:27  lidiaadm

	* src/base/include/LiDIA/bigrational.h (LiDIA2-1):

	 - FIX: added missing parenthesis

2005-03-29 15:24  lidiaadm

	* src/base/include/LiDIA/bigrational.h (LiDIA2-1):

	 - FIX: Implementation of operator/(T a, bigrational const& b)
	        failed if T != bigrational and a == 0. (Report in
	        http://www.cdc.informatik.tu-darmstadt.de/pipermail/lidia/2005-March/000890.html)

2005-03-15 11:02  lidiaadm

	* src/base/include/LiDIA/base/sf_bigint.h (LiDIA2-1):

	 - FIX: spurious double underscore

2005-03-03 14:15  lidiaadm

	* doc/factorization.tex (LiDIA2-1):

	 - FIX: factorization<T>::factor() correctly documented as
		factorization<T>::factor_all_components()
	 - CHG: free function
	        factor_all_components(factorization<T>const&) documented

2005-03-03 14:09  lidiaadm

	* NEWS, Paths.def, README, RELEASE, configure.ac (LiDIA2-1) (utags:
	LiDIA2-1-3_RELEASE):

	 - CHG: release 2.1.3 preparations

2004-12-22 14:33  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (tags:
	LiDIA2-1-3_RELEASE) (LiDIA2-1):

	 - FIX: input operator erroneously set the stream's failbit if EOF
	        was encountered at the end of the number.

2004-12-06 15:25  lidiaadm

	* DEVELOP/cvs.txt (tags: LiDIA2-1-3_RELEASE):

	 - ADD: Missing steps for releases

2004-12-06 13:01  lidiaadm

	* src/linear_algebra/crt_and_prime_handling.cc (tags:
	MAIN_MERGED_LiDIA2-1_2):

	 - CHG: Merged LiDIA2-1_MERGEPOINT_2 into trunk
		(fixes bug in src/linear_algebra/crt_and_prime_handling.cc)

2004-09-09 15:52  lidiaadm

	* src/linear_algebra/crt_and_prime_handling.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2) (LiDIA2-1):

	 - BUG: off-by-one error in load_primes(), see
	        <URL:http://www.cdc.informatik.tu-darmstadt.de/pipermail/lidia/2004-September/000846.html>

2004-06-18 13:56  lidiaadm

	* doc/galois_field.tex, doc/gf_element.tex,
	src/finite_fields/gfpn/galois_field.cc,
	src/finite_fields/gfpn/galois_field_rep.cc,
	src/finite_fields/gfpn/gf_element.cc,
	src/finite_fields/gfpn/gfpn_appl.cc,
	src/finite_fields/include/LiDIA/galois_field.h,
	src/finite_fields/include/LiDIA/gf_element.h,
	src/finite_fields/include/LiDIA/finite_fields/galois_field_rep.h
	(utags: MAIN_MERGED_LiDIA2-1_2):

	 - ADD: galois_field::generator(), test in gfpn_appl, and
	        documentation

2004-06-18 12:39  lidiaadm

	* library/base/Makefile.am (tags: MAIN_MERGED_LiDIA2-1_2):

	 - CLEAN: Remove dead code

2004-06-18 11:55  lidiaadm

	* doc/LiDIA_FF.tex (tags: MAIN_MERGED_LiDIA2-1_2), doc/Makefile.am
	(tags: MAIN_MERGED_LiDIA2-1_2), doc/galois_field.tex,
	doc/galois_field_iterator.tex (tags: MAIN_MERGED_LiDIA2-1_2),
	examples/finite_fields/Makefile.am (tags: MAIN_MERGED_LiDIA2-1_2),
	library/finite_fields/Makefile.am (tags: MAIN_MERGED_LiDIA2-1_2),
	src/finite_fields/gfpn/galois_field.cc,
	src/finite_fields/gfpn/galois_field_iterator.cc (tags:
	MAIN_MERGED_LiDIA2-1_2),
	src/finite_fields/gfpn/galois_field_iterator_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2),
	src/finite_fields/include/LiDIA/galois_field.h,
	src/finite_fields/include/LiDIA/galois_field_iterator.h (tags:
	MAIN_MERGED_LiDIA2-1_2):

	 - ADD: galois_field_iterator, galois_field_iterator_appl.cc and
	        documentation

2004-06-18 11:48  lidiaadm

	* src/base/include/LiDIA/: error.cc, error.h (tags:
	MAIN_MERGED_LiDIA2-1_2):

	 - CLEAN: Removed dead code

2004-06-16 19:12  lidiaadm

	* doc/prime_proof.tex (tags: MAIN_MERGED_LiDIA2-1_2):

	 - FIX: re-added prime_proof docs (from LiDIA2-1 branch)

2004-06-15 13:47  lidiaadm

	* DEVELOP/cvs.txt (tags: MAIN_MERGED_LiDIA2-1_2):

	 - FIX: don't forget to include new subdirectories when merging!

2004-06-15 12:19  lidiaadm

	* NEWS (tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	Paths.def (tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	README (tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	RELEASE (tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	acinclude.m4 (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), configure.ac (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), path.h.in (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), doc/LiDIA.bib
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	doc/LiDIA.def (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), doc/LiDIA.tex (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), doc/LiDIA_GEC.tex
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	doc/LiDIA_base.tex (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), doc/bigint.tex (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), doc/overview.tex
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), doc/use.tex
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	examples/base/Makefile.am (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), examples/gec/Makefile.am (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	examples/linear_algebra/Makefile.am (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), library/gec/Makefile.am (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	share/LiDIA/LIDIA_PRIME_DIFFS (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/factorization/sf_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/bigint_factor_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_check_gcd.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_ecm.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_fermat_method.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_mpqs.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_pollard_p-1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_pollard_rho.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_trialdiv.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/factorization/bigint/sf_williams_p+1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/hash_table/hash_table_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/hash_table/indexed_hash_table_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base_matrix.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/base_vector.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base_vector.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/bigcomplex.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigcomplex_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigfloat.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/bigfloat_int.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigfloat_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigint.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/bigint_polynomial.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigmod.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/bigrational.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/bigrational_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/comparator.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/crt.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/crt_table.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_base_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_base_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_field_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_field_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_ring_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/dense_ring_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/error.cc (tags: MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/error.h (tags: MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/factorization.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/factorization.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/field_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/field_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/field_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/field_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/file_vector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/file_vector.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/hash_table.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/hash_table.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/indexed_hash_table.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/indexed_hash_table.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/info.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/isstream.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/lanczos.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/lidia_defines.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/lidia_file.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/lidia_signal.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/lidia_vector.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/math_vector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/math_vector.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/matrix_GL2Z.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix_flags.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/modular_functions.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/multi_bigmod.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/nmbrthry_functions.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/osstream.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/pair.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/pair.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/param_desc.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/param_desc.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/power_functions.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/power_functions.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/precondition_error.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/precondition_error.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/prime_list.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/random_generator.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/rational_factorization.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/ring_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/ring_matrix.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/single_factor.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/single_factor.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sort_vector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sort_vector.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_base_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_base_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_field_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_field_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_ring_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/sparse_ring_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/timer.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/udigit.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/udigit_mod.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/vector_flags.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/vector_representation.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/xbigfloat.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/xdouble.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/xerror.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/array_functions.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/b_value.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/base_bigmod.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/base_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/base_factor.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/ecm_primes.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/poly_intern.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/poly_intern.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/ppair.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/include/LiDIA/base/ppair.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/residue_class_list.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/residue_class_list.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/base/sf_bigint.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/factorization.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/hash_table.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/pair.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/power_functions.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/residue_class_list.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/instantiate/vector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/base_matrix_algorithms.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_base_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_base_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_field_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_field_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_ring_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/dense_ring_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/field_matrix_algorithms.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/field_matrix_algorithms.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/matrix_representation.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/ring_matrix_algorithms.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/ring_matrix_algorithms.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_base_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_base_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_field_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_field_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_ring_matrix_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/include/LiDIA/matrix/sparse_ring_matrix_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_bigint_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_bigint_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_bigint_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_bigint_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_double_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_double_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_double_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_double_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_int_dense.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bm_int_normal.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_int_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_int_sub.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bm_long_dense.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_long_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_long_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bm_long_sub.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bpf_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bpf_bigmod.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bv_bigcomplex.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_bigfloat.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bv_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_bigmod.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bv_bigrational.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_char.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bv_double.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_int.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/bv_long.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_param_desc_ptr.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_pp_sf_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_rf_single_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/bv_xdouble.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/fact_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/fv_bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/fv_bigrational.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/fv_double.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/fv_int.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/fv_long.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/ht_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/ht_int.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/iht_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/iht_int.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/lpf_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/lpf_bigmod.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/mv_bigfloat.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/mv_bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/mv_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/mv_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/mv_double.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/mv_int.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/mv_long.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/mv_udigit_mod.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/mv_xdouble.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/rcl_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/spf_bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/spf_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/sv_bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/sv_bigrational.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/sv_double.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/sv_int.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/sv_long.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/instantiate/sv_pp_sf_bigint.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/instantiate/sv_rf_single_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/matrix/base_matrix_appl.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/matrix/base_matrix_bigmod.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/matrix/field_matrix_appl.cc,
	src/base/matrix/matrix_error_msg.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/matrix/ring_matrix_appl.cc,
	src/base/matrix/ring_matrix_appl_bigint.dat,
	src/base/matrix/ring_matrix_appl_int.dat,
	src/base/matrix/ring_matrix_appl_long.dat,
	src/base/misc/power_functions_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/bigcomplex_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/bigfloat_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/bigint_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/bigrational_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/cast_bigcomplex_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/cast_bigfloat_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/cast_bigrational_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/jenkins_traub.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/polynomial/jenkins_traub_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/poly_error_msg.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/polynomial_cast_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/resultant_check_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/polynomial/test_roots_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/matrix_GL2Z.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigcomplex/bigcomplex.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigcomplex/bigcomplex_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigcomplex/bigcomplex_io.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigcomplex/bigcomplex_trans.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_const.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_exp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_hyp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_io.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_miscfunc.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat/bigfloat_trig.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat_int/bigfloat_int.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat_int/bigfloat_int_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigfloat_int/bigfloat_int_trans.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/bigint_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/bigint_share.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/chinese_remainder.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/cornacchia.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/cornacchia_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/fermat.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_power.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_power_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_prime_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_square.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/is_square_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/jacobi.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/multiple_gcd.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/nearest.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/newton_root.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/next_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/power_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/previous_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/ressol.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/ressol_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigint/test_bigint_io.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/base_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/bigmod_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/bigmod_lib.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/multi_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigmod/multi_bigmod_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigrational/bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigrational/bigrational_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/bigrational/bigrational_io.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/chinese_rem/crt.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/chinese_rem/crt_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/chinese_rem/crt_table.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/ec_point.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/ecm.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/ecm_primes.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/file_f.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/mpqs.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/rational_factorization.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/rational_factorization_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/test_machine.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/factorization/trialdiv.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/lanczos.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/lanczos_small_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/lanczos_spmatrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/lanczos_spvector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/lanczos_vblock.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/lanczos/process.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/nmbrthry_functions/divisors.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/nmbrthry_functions/divisors_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/nmbrthry_functions/modular_functions.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/prime_list/prime_list.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/prime_list/prime_list_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/prime_list/prime_list_bench_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/single_precision/single_precision.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/udigit_mod/udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/udigit_mod/udigit_mod_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/xbigfloat/xbigfloat.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/xbigfloat/xbigfloat_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/xdouble/xdouble.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/simple_classes/xdouble/xdouble_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/debug.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/error.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/file_lidia.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/info.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/memory.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/osstream.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/param_desc.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/param_desc_instant.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/precondition_error.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/precondition_error_instant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/random_generator.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/random_generator_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/signal_lidia.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/signal_lidia_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/timer.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/system/timer_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/system/warning.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/base/vector/vector_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/base/vector/vector_error_msg.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco2_2_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco2_3_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco2_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco2_appl2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco2_appl3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/eco_gf2n.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/find_curve_gf2n_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/eco_gf2n/verify_strong_curve_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/BG_algorithms_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/Ytop_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/compute_list_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/compute_psi_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/find_eigenvalue_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/powers_of_l_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/schoof_algorithm_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/schoofpart_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/elkies/two_power_eco2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/lercier/lercier_functions.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/lercier/lercier_isogeny.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/lercier/prime_square.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/mv_pol/mv_poly.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/mv_pol/mv_poly_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/mv_pol/mv_poly_timing.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/mv_pol/mv_term.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/mv_pol/mv_term_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/weco2_rat_function/weco2_rat_function.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gf2n/weco2_rat_function/weco2_rat_function_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/EC_domain_parameters_P1363.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/eco_2_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/eco_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/eco_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/examine_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/find_curve_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/meq_convert_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/meq_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/trace_list.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/trace_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/eco_gfp/verify_order_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/BG_algorithms.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/compute_lists.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/compute_psi.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/compute_sign.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/div_of_divpol.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/find_eigenvalue.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/schoof_algorithm.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/schoofpart.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/elkies/tildeE.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/ffx/ff1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/eco_gfp/ffx/ff1_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/ffx/ff2.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/eco_gfp/ffx/ff2_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/wep_rat_function/wep_rat_function.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/wep_rat_function/wep_rat_function_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/eco_gfp/wep_rat_function/wep_rat_function_timing.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/EC_domain_parameters_P1363.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/eco_gf2n.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/eco_prime.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/ff1.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/include/LiDIA/ff2.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/meq_prime.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/mv_fract.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/mv_poly.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/include/LiDIA/mv_term.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/power_table.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/power_table.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/trace_list.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/trace_mod.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/weco2_rat_function.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/include/LiDIA/wep_rat_function.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/instantiate/bv_ff1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/instantiate/bv_ff2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/instantiate/bv_trace_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/instantiate/bv_udigit.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/instantiate/pt_gf2n.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/ec_order/instantiate/sv_trace_mod.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/ec_order/instantiate/sv_udigit.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/ec_gf_element_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/ec_point_gf_element_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/elliptic_curve_gf_element.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/elliptic_curve_rep_gf_element.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/point_gf_element.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_finite_fields/point_operations_gf_element.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/complex_periods.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/complex_periods_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/curve_isomorphism_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/ec_arith.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/ec_bigint_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/ec_bigint_test_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/ec_bigrational_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/elliptic_curve_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/elliptic_curve_bigint_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/elliptic_curve_rep_bigint.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/instant_curve_isomorphism.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/instant_ec_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/kodaira_code.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/minimal_model.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/minimal_model_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/point_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/point_bigint_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/point_operations_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/quartic.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/quartic_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/ec_rationals/reduction_type.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/complex_periods.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/curve_isomorphism.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/curve_isomorphism.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curve.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curve.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curve_bigint.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curve_flags.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/kodaira_code.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/point.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/point.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/point_bigint.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/quartic.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/reduction_type.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_elliptic_curve.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_elliptic_curve.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_elliptic_curve_rep.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_elliptic_curve_rep.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_point.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/base_point.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/ec_arith.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/elliptic_curve_rep.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/elliptic_curve_rep.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/elliptic_curve_rep_bigint.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/point_operations.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/point_operations.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/elliptic_curves/point_operations_bigint.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/instantiate/ec_finite_fields.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/include/LiDIA/instantiate/ec_rationals.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/instantiate/bv_point_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/instantiate/ec_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/elliptic_curves/instantiate/ec_gf_element.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_pol_arithmetic.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_pol_tools.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_poly_modulus.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_poly_modulus_timing.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_poly_multiplier.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/Fp_polynomial_test_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/compose.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/crossover_class.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/factoring.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/fft_arith.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/fft_reps.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/fractions.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/gcd.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/make_crossover.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/plain_arith.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/poly_argument.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_polynomial/poly_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_rational_function/Fp_rational_function.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/Fp_rational_function/Fp_rational_function_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/discrete_log/pohlig_hellman/dlp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/discrete_log/pohlig_hellman/dlp_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/discrete_log/pohlig_hellman/fpc_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/factorization_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/sf_Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/sf_gf_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/Fp_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/Fp_factor_generic.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/Fp_pol_factor_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/berlekamp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/berlekamp_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/binomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/can_zass_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/canzass.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/ddf.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/edf.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/find_factors.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/old_ddf.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/Fp_polynomial/squarefree.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/checked_min_poly.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_berlekamp.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_can_zass.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_fact_util.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_pol_factor_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/factorization/gf_polynomial/gf_squarefree.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/fft_prime/bit_reverse_table.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/fft_prime/bit_reverse_table_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/fft_prime/fft_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/fft_prime/fft_prime_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/fft_prime/test_mul_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gf2n/gf2nIO.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n_appl.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gf2n/gf2n_init.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n_invert.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n_lib.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gf2n/gf2n_mult.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n_reduce.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2n_timing.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n/gf2nin.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gf2n/gf2nout.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_find_root.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_find_root_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_poly_karatzuba.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_poly_modulus.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_poly_modulus_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_poly_modulus_timing.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_poly_remainder.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_polynomial_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/gf2n_polynomial_timing.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_polynomial/make_crossover.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_rational_function/gf2n_rational_function.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf2n_rational_function/gf2n_rational_function_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_pol_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_pol_arith.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_pol_instant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_pol_util.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_poly_argument.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_poly_modulus.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gf_polynomial/gf_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/galois_field.cc (tags:
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gfpn/galois_field_rep.cc
	(tags: MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/gf_element.cc (tags:
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gfpn/gf_rep_GF2n.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/gf_rep_GFp.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gfpn/gf_rep_GFpn.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/gfpn_appl.cc (tags: MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/gfpn_timings_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/info_gf2n.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/gfpn/info_gf2n_inv.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/info_gf2n_mul.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/gfpn/info_gf2n_red.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/Fp_poly_modulus.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/Fp_poly_multiplier.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/Fp_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/Fp_rational_function.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/dense_power_series.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/dense_power_series.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/dlp.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/fft_prime.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/galois_field.h (tags:
	MAIN_MERGED_LiDIA2-1_1), src/finite_fields/include/LiDIA/gf2n.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/gf2n_poly_modulus.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/gf2n_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/gf2n_rational_function.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/gf_element.h (tags:
	MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/gf_polynomial.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/sparse_power_series.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/sparse_power_series.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/Fp_polynomial_fft.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/Fp_polynomial_util.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/base_dense_power_series.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/base_dense_power_series.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/base_sparse_power_series.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/base_sparse_power_series.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/bit_reverse_table.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/coeff_sparse_power_series.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/coeff_sparse_power_series.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/dense_power_series_bigmod.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/dense_power_series_udigit_mod.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/galois_field_rep.h
	(tags: MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/gf2nIO.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/info_gf2n.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/sf_Fp_polynomial.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/finite_fields/sf_gf_polynomial.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/include/LiDIA/instantiate/power_series.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bpf_gf2n.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bpf_gf_element.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_gf2n.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_gf_element.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_pp_sf_Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_pp_sf_gf_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_spc_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_spc_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_spc_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/bv_spc_udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/dpsr_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/dpsr_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/fact_Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/fact_gf_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/lpf_gf2n.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/spsr_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/spsr_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/spsr_udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_pp_sf_Fp_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_pp_sf_gf_polynomial.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_spc_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_spc_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_spc_bigrational.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/instantiate/sv_spc_udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/dense_power_series_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/dpsr_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/dpsr_udigit_mod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/dpsr_udigit_mod_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/sparse_power_series_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/finite_fields/powser/spsr_bigmod.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1), src/gec/gec.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_appl.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/gec/is_cryptographically_strong.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/assign_class_invariant_to_curve.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/assign_efficient_curve_parameters.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/compute_class_polynomial.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_discriminant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_good_prime.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_good_prime_0_mod_4.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_good_prime_1_mod_8.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_good_prime_5_mod_8.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_good_prime_power.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/find_oef.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_complex_multiplication.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/generate.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/generate_oef.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/set_complex_precision.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/set_generation_mode.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/assign_class_invariant_to_curve_and_twist.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/assign_efficient_curve_parameters_and_twist.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/find_good_prime_twist.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/gec_E_and_twist_prime.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_complex_multiplication/gec_E_and_twist_prime/generate_twist.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_point_counting_mod_2n/gec_point_counting_mod_2n.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/gec_point_counting_mod_p/gec_point_counting_mod_p.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/certificate.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/gec/include/LiDIA/gec.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/gec_E_and_twist_prime.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/gec_complex_multiplication.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/gec_point_counting_mod_2n.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/gec_point_counting_mod_p.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/include/LiDIA/prime_proof.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/gec/prime_proof/certificate.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/gec/prime_proof/prime_proof_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_assign_class_invariant_to_curve.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_compute_class_polynomial.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_discriminant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_generate.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_is_good_order.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_primelist.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_set_complex_precision.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_ecpp_set_generation_mode.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_factorize.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_n_minus_one.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_n_plus_one.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/gec/prime_proof/prime_proof_spp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/cln/bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/interfaces/bigint/cln/bigint_def.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/cln/bigint_interface.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/gmp/bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/gmp/bigint_interface.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/libI/bigint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/libI/bigint_interface.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/bigint/piologie/bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/memory/boehm/gmm.h (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/interfaces/memory/dentzer/gmm.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/cln/udigit.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/interfaces/udigit/cln/udigit_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/cln/udigit_def.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/cln/udigit_interface.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/gmp/udigit.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/interfaces/udigit/gmp/udigit128.gmp.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/gmp/udigit_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/libI/udigit.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/interfaces/udigit/libI/udigit_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/libI/udigit_interface.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/piologie/udigit.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/interfaces/udigit/piologie/udigit_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bf_basis.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bf_gsys_alg1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bf_gsys_alg2.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bf_gsys_base.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bfl_alg1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bfl_base.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bi_basis.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bi_gsys_alg1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bi_gsys_alg2.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bi_gsys_alg3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bi_gsys_base.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bil_alg1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bil_alg2.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/bil_alg3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/bil_base.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/lattice_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/lattice_basis.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/lattice_gensys.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/bigfloat_lattice.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/bigint_lattice.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattice_basis.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattice_gensys.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/instantiate/lattices.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/bf_lattice_basis.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/bf_lattice_gensys.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/bi_lattice_basis.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/bi_lattice_gensys.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/lattice_defs.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/lattice_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/lattice_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/lattice_modules.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/p_vector.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/include/LiDIA/lattices/p_vector.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_bfl1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bfl_bfl2.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_bfl3.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bfl_bfl4.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_dbl1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bfl_dbl2.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_dbl3.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bfl_dbl4.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_xdbl1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_xdbl2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_xdbl3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bfl_xdbl4.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_bfl1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_bfl2.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_bfl3.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_bfl4.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_bfl5.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_bfl6.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_bfl7.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_bfl8.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_dbl1.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_dbl2.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_dbl3.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_dbl4.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_dbl5.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_dbl6.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_dbl7.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/lattices/instantiate/bil_dbl8.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl4.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl5.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl6.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl7.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/bil_xdbl8.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/lattices/instantiate/lattice_modules_instant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/bigfloat_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/bigint_matrix.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/linear_algebra/bigint_matrix_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/bigmod_matrix.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/crt_and_prime_handling.cc (tags:
	MAIN_MERGED_LiDIA2-1_1), src/linear_algebra/field_matrix_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/file_adjoint.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/linear_algebra/hnf_instant.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instant_bigint_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/m_multiple_gcd.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1), src/linear_algebra/modular_instant.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/ring_matrix_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/ring_matrix_appl_bigint.dat (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/ring_matrix_appl_int.dat (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/ring_matrix_appl_long.dat (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/trans_matrix.cc (tags: MAIN_MERGED_LiDIA2-1_2,
	MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/base_power_product.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/base_power_product.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/base_ppair.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/base_ppair.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/bigfloat_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/bigint_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/bigmod_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/dense_bigint_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/dense_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/long_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/math_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix_intern.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/sparse_matrix.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/bigint_matrix_algorithms.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/bigint_matrix_algorithms.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/crt_and_prime_handling.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_kernel.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_kernel.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_modules.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_modules.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/dense_fp_matrix_kernel.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/fp_matrix_algorithms.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/hnf_conf.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/hnf_conf.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/hnf_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/hnf_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/modular_arithmetic.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/modular_arithmetic.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/normalize_kernel.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/normalize_kernel.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_kernel.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_kernel.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_modules.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_modules.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_algorithms.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_algorithms.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_kernel.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_kernel.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigfloat_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigfloat_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigfloat_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigfloat_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigrational_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigrational_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigrational_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bm_bigrational_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bv_bigfloat_int.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bv_bigint_matrix.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bv_bpp_matrix_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/bv_bpp_matrix_long.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigfloat_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigfloat_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigfloat_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigfloat_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigrational_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigrational_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigrational_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_bigrational_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_double_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_double_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_double_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/fm_double_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigfloat_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigfloat_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigfloat_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigfloat_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigint_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigint_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigint_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigint_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigrational_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigrational_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigrational_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_bigrational_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_double_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_double_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_double_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_double_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_int_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_int_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_int_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_int_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_long_dense.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_long_normal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_long_sparse.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/linear_algebra/instantiate/rm_long_sub.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/alg_factor.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/alg_number.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/alg_number_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/ideal_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/ideal_factorization_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/module.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/module_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/order.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/prime_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/algebraic_num/factorization/sf_alg_ideal.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/alg_number.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/prime_ideal.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/qi_class.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/qi_class_real.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_form.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_ideal.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_ideal_power_product.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_number_logarithm.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_number_power_product.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_number_power_product_basis.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_number_standard.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/quadratic_order.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/instantiate/power_product.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/number_fields/partial_relation.h
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/number_fields/qo_list.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/number_fields/qo_sieve.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/number_fields/qo_util.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/include/LiDIA/number_fields/sf_alg_ideal.h (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bpf_quadratic_number_standard.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bpp_quadratic_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_bpp_qi_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_p_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_partial_relation.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_pp_sf_alg_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_qi_class.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_qi_class_real.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_quadratic_form.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_quadratic_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_quadratic_number_power_product.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_quadratic_number_standard.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/bv_xbigfloat.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/fact_alg_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/ht_ideal_node.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/ht_qi_class_real.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/ht_quadratic_form.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/iht_ideal_node.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/iht_qi_class_real.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/lpf_quadratic_number_standard.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/mv_quadratic_number_standard.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/pair_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/rcl_quadratic_number_power_product_basis.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/sv_p_bigint.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/instantiate/sv_pp_sf_alg_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/compute_class_group.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/findh_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qi_class.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qi_class_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qi_class_real.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qi_class_real_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qo_list.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qo_sieve.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qo_subexp.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/qo_util.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_form.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_form_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_ideal.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_ideal_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_ideal_appl2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_ideal_appl3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_ideal_power_product.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_logarithm.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_power_product.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_power_product_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_power_product_basis.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_standard.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_number_standard_appl.cc
	(tags: MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_order1.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_order2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_order3.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_order_appl.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/quadratic_order_appl2.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1),
	src/number_fields/quadratic_order/matrix/bigint_matrix_qo.cc (tags:
	MAIN_MERGED_LiDIA2-1_2, MAIN_MERGED_LiDIA2-1_1):

	 - MERGE: LiDIA2-1_MERGEPOINT_1 merged into mainline

2004-06-08 15:26  lidiaadm

	* src/elliptic_curves/ec_finite_fields/elliptic_curve_gf_element.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE) (LiDIA2-1):

	 - BUG: isomorphis_type() sometimes aborted due to a call of
	Q.get_x() when
		Q.is_zero() == true. (Bug reported by John Cremona on June
	8, 2004.)

2004-06-08 11:54  lidiaadm

	* NEWS, Paths.def, README, RELEASE, configure.ac (LiDIA2-1) (utags:
	LiDIA2-1-2_RELEASE, LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2):

	 - prepare LiDIA 2.1.2 release

2004-06-07 13:10  lidiaadm

	* src/elliptic_curves/ec_finite_fields/elliptic_curve_gf_element.cc
	(LiDIA2-1):

	 - BUG: isomorphism_type() sometimes produced wrong output (fixed
		by V. Mueller on June 7, 2004)

2004-06-02 15:41  lidiaadm

	* src/interfaces/bigint/cln/bigint.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE)
	(LiDIA2-1):

	 - FIX: string_to_bigint(): make handling of signs consistent with
	        gmp and libI

2004-06-02 15:26  lidiaadm

	* src/interfaces/bigint/libI/: bigint.cc, bigint_interface.h
	(LiDIA2-1) (utags: LiDIA2-1-2_RELEASE, LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2):

	 - FIX: string_to_bigint(): ensure "0" is not handled as octal base
	        indicator followed by an empty string.

2004-06-02 14:32  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (tags:
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE)
	(LiDIA2-1):

	 - FIX: scan(): skip all whitespaces *really* everywhere

2004-06-02 14:15  lidiaadm

	* src/base/simple_classes/bigint/bigint_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE) (LiDIA2-1):

	 - ADD: testcases whether formatted bigint input correctly handles
		whitespaces, termination conditions etc.

2004-06-02 14:14  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (LiDIA2-1):

	 - BUG: scan(): correctly handle input "0" even if input stream
	        format flags don't specify the base.
	 - FIX: scan() skip all whitespaces, not only ' ' and '\n'.

2004-06-02 12:00  lidiaadm

	* src/interfaces/bigint/gmp/: bigint.cc, bigint_interface.h
	(LiDIA2-1) (utags: LiDIA2-1-2_RELEASE, LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2):

	 - BUG: string_to_bigint(): don't pass empty string to
	        mpz_set_str() when parsing "0".

2004-06-01 18:12  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (LiDIA2-1):

	 - FIX: remove unwarranted call to lidia_error_handler. Set
	        std::ios::failbit instead.

2004-05-26 18:26  lidiaadm

	* NEWS, Paths.def, README, RELEASE, configure.ac, doc/LiDIA.def
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE) (LiDIA2-1) (utags:
	LiDIA2-1-1_RELEASE):

	 - FIX: prepared 2.1.1 release

2004-05-26 13:14  lidiaadm

	* src/base/simple_classes/bigint/bigint_appl.cc (tags:
	LiDIA2-1-1_RELEASE) (LiDIA2-1):

	 - CLEAN: remove stale typedef

2004-05-26 13:12  lidiaadm

	* src/base/simple_classes/bigint/bigint_appl.cc (LiDIA2-1):

	 - FIX: work around a problem with g++ 2.95.2

2004-05-26 11:32  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (tags:
	LiDIA2-1-1_RELEASE) (LiDIA2-1):

	 - FIX: g++ 2.95.2 does not like fully qualified std::isdigit()

2004-05-26 11:18  lidiaadm

	* src/base/simple_classes/bigint/bigint_share.cc (LiDIA2-1):

	 - FIX: try to work around a problem with g++ 2.95.2 / Solaris 8

2004-05-26 09:28  lidiaadm

	* src/gec/prime_proof/prime_proof_factorize.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE) (LiDIA2-1):

	 - FIX: added missing #include <cassert>

2004-05-24 21:33  lidiaadm

	* NEWS, README, RELEASE (LiDIA2-1) (utags: LiDIA2-1_RELEASE):

	 - FIX: adapted the info files to the 2.1 release

2004-05-24 21:31  lidiaadm

	* doc/: LiDIA.bib, LiDIA.tex, overview.tex, prime_proof.tex
	(LiDIA2-1) (utags: LiDIA2-1-1_RELEASE, LiDIA2-1-2_RELEASE,
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_RELEASE):

	 - FIX: Last corrections for the 2.1 release

2004-05-18 09:36  lidiaadm

	* doc/bigint.tex (tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE) (LiDIA2-1):

	 - FIX: replaced erroneous std::ios::showpos by std::ios::showbase

2004-05-17 20:56  lidiaadm

	* src/: base/include/LiDIA/instantiate/factorization.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/instantiate/hash_table.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/instantiate/matrix.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), base/include/LiDIA/instantiate/pair.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/instantiate/power_functions.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/instantiate/residue_class_list.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/instantiate/vector.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/base_matrix_algorithms.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_base_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_base_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_field_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_field_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_ring_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/dense_ring_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/field_matrix_algorithms.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/field_matrix_algorithms.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/matrix_representation.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/ring_matrix_algorithms.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/ring_matrix_algorithms.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_base_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_base_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_field_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_field_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_ring_matrix_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	base/include/LiDIA/matrix/sparse_ring_matrix_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	ec_order/instantiate/bv_ff1.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), ec_order/instantiate/bv_ff2.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	ec_order/instantiate/bv_trace_mod.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), ec_order/instantiate/bv_udigit.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	ec_order/instantiate/pt_gf2n.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), ec_order/instantiate/sv_trace_mod.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	ec_order/instantiate/sv_udigit.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), gec/prime_proof/certificate.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), gec/prime_proof/prime_proof_ecpp.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_assign_class_invariant_to_curve.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_compute_class_polynomial.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_discriminant.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_generate.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_is_good_order.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_primelist.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_set_complex_precision.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_ecpp_set_generation_mode.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_factorize.cc,
	gec/prime_proof/prime_proof_n_minus_one.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_n_plus_one.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	gec/prime_proof/prime_proof_spp.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigfloat_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigfloat_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigfloat_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigfloat_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigrational_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigrational_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigrational_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bm_bigrational_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bv_bigfloat_int.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bv_bigint_matrix.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bv_bpp_matrix_bigint.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/bv_bpp_matrix_long.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigfloat_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigfloat_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigfloat_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigfloat_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigrational_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigrational_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigrational_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_bigrational_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_double_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_double_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_double_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/fm_double_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigfloat_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigfloat_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigfloat_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigfloat_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigint_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigint_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigint_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigint_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigrational_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigrational_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigrational_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_bigrational_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_double_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_double_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_double_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_double_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_int_dense.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_int_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_int_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_int_sub.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), linear_algebra/instantiate/rm_long_dense.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_long_normal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_long_sparse.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	linear_algebra/instantiate/rm_long_sub.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bpf_quadratic_number_standard.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bpp_quadratic_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_bpp_qi_bigint.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_p_bigint.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_partial_relation.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_pp_sf_alg_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_qi_class.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE), number_fields/instantiate/bv_qi_class_real.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_quadratic_form.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_quadratic_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_quadratic_number_power_product.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_quadratic_number_standard.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/bv_xbigfloat.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/fact_alg_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/ht_ideal_node.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/ht_qi_class_real.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/ht_quadratic_form.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/iht_ideal_node.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/iht_qi_class_real.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/lpf_quadratic_number_standard.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/mv_quadratic_number_standard.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/pair_bigint.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE),
	number_fields/instantiate/rcl_quadratic_number_power_product_basis.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE),
	number_fields/instantiate/sv_p_bigint.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE),
	number_fields/instantiate/sv_pp_sf_alg_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE) (LiDIA2-1) (utags:
	LiDIA2-1_RC4, LiDIA2-1_RELEASE):

	 - FIX: replace all
		  #include <LiDIA/xxx.h>
		by
		  #include "LiDIA/xxx.h"
		to stop the preprocessor from munging the includepath if
	        namespaces are diesabled. This #include variant is
		arguably better	style,anyway.

2004-05-17 19:42  lidiaadm

	* src/gec/: gec_appl.cc, prime_proof/prime_proof_appl.cc (LiDIA2-1)
	(utags: LiDIA2-1-1_RELEASE, LiDIA2-1-2_RELEASE, LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_RC4,
	LiDIA2-1_RELEASE):

	 - FIX: protect "using namespace LiDIA;" by
	        "#ifdef	LIDIA_NAMESPACE"

2004-05-17 19:29  lidiaadm

	* src/: base/matrix/base_matrix_appl.cc,
	linear_algebra/field_matrix_appl.cc,
	linear_algebra/ring_matrix_appl.cc (LiDIA2-1) (utags:
	LiDIA2-1-1_RELEASE, LiDIA2-1-2_RELEASE, LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_RC4,
	LiDIA2-1_RELEASE):

	 - FIX: replace all
		  #define INCLUDE <LiDIA/xxx.h>
		by
		  #define INCLUDE "LiDIA/xxx.h"
		to stop the preprocessor from munging the includepath if
	        namespaces are diesabled. This #include variant is 
		arguably better	style, anyway.

2004-05-17 18:48  lidiaadm

	* src/elliptic_curves/ec_finite_fields/elliptic_curve_gf_element.cc
	(tags: LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE, LiDIA2-1_RC4)
	(LiDIA2-1):

	 - FIX: replace all
		  #include <LiDIA/xxx.h>
		by
		  #include "LiDIA/xxx.h"
		to stop the preprocessor from munging the includepath if
	        namespaces are diesabled. This #include variant is 
		arguably better	style, anyway.
	 - BUGFIX: The point Q returned by isomorphism_type() was sometimes
	           not a generator of the "smaller" subgroup.

2004-05-17 18:47  lidiaadm

	* src/: number_fields/quadratic_order/matrix/bigint_matrix_qo.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_order1.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/quadratic_order2.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_order3.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_order_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_order_appl2.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_ideal_appl2.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_ideal_appl3.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_ideal_power_product.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_logarithm.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_power_product.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_power_product_appl.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_power_product_basis.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_standard.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_number_standard_appl.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/qo_subexp.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/qo_util.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/quadratic_form.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_form_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/quadratic_ideal.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/quadratic_ideal_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/findh_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/qi_class.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/qi_class_appl.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/qi_class_real.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/qi_class_real_appl.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/qo_list.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/quadratic_order/qo_sieve.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/quadratic_number_standard.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/quadratic_order.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/instantiate/power_product.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/number_fields/partial_relation.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/number_fields/qo_list.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/include/LiDIA/number_fields/qo_sieve.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/number_fields/qo_util.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/include/LiDIA/number_fields/sf_alg_ideal.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/quadratic_order/compute_class_group.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/algebraic_num/factorization/sf_alg_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/alg_number.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/prime_ideal.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/qi_class.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/qi_class_real.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/quadratic_form.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/include/LiDIA/quadratic_ideal.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/quadratic_ideal_power_product.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/quadratic_number_logarithm.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/quadratic_number_power_product.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/include/LiDIA/quadratic_number_power_product_basis.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/algebraic_num/alg_number.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/algebraic_num/alg_number_appl.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/algebraic_num/ideal.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/algebraic_num/ideal_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	number_fields/algebraic_num/ideal_factorization_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/algebraic_num/module.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/algebraic_num/module_appl.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/algebraic_num/order.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), number_fields/algebraic_num/prime_ideal.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_kernel.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_kernel.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_modules.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_bigint_matrix_modules.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_algorithms.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_algorithms.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_kernel.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/sparse_fp_matrix_kernel.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	number_fields/algebraic_num/alg_factor.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/fp_matrix_algorithms.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/matrix/hnf_conf.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/hnf_conf.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/matrix/hnf_kernel.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/hnf_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/modular_arithmetic.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/modular_arithmetic.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/normalize_kernel.cc (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/normalize_kernel.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/bigint_matrix_algorithms.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/bigint_matrix_algorithms.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/crt_and_prime_handling.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_kernel.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_kernel.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_modules.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/dense_bigint_matrix_modules.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/matrix/dense_fp_matrix_kernel.cc
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/base_ppair.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/bigfloat_matrix.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/bigint_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/bigmod_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/dense_bigint_matrix.h
	(tags: LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2,
	LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE,
	LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/include/LiDIA/dense_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/long_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/math_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/matrix_intern.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/include/LiDIA/sparse_matrix.h (tags:
	LiDIA2-1-3_RELEASE, LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1,
	LiDIA2-1-2_RELEASE, LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE,
	LiDIA2-1_RC4), linear_algebra/field_matrix_appl.cc,
	linear_algebra/file_adjoint.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/hnf_instant.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
	LiDIA2-1-1_RELEASE, LiDIA2-1_RELEASE, LiDIA2-1_RC4),
	linear_algebra/instant_bigint_matrix.cc (tags: LiDIA2-1-3_RELEASE,
	LiDIA2-1_MERGEPOINT_2, LiDIA2-1_MERGEPOINT_1, LiDIA2-1-2_RELEASE,
